Package Base Details: julia-git

Git Clone URL: https://aur.archlinux.org/julia-git.git (read-only, click to copy)
Submitter: mihi
Maintainer: TrialnError (fusion809)
Last Packager: fusion809
Votes: 52
Popularity: 0.104424
First Submitted: 2012-02-22 08:57
Last Updated: 2020-06-23 18:23

Packages (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

haawda commented on 2015-09-20 16:38

Creating the documentation needs juliadoc, I provided a PKGBUILD for that.

The pkgver function does not do a good job. The way you do it does not guarentee that newer commits generate higher pkgvers. I suggest the following:

pkgver() {
cd $_pkgbase

# use the version from VERSION file
ver=`git show makepkg:VERSION | sed 's/-/./g'`
# strip the last tag name from the HEAD description
printf "%s.r%s.g%s" $(echo $ver) "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

TrialnError commented on 2015-06-03 17:54

@yuyichao:
Does it replace pcre (ver 8.x)?
Because the README.md still says pcre>=8.31, which looks like it still can be used?


Edit: Ok, looking at the PR it replaces. Will upload change soon

TrialnError commented on 2015-06-03 17:51

@yuyichao:
Does it replace pcre (ver 8.x)?
Because the README.md still says pcre>=8.31, which looks like it still can be used?

yuyichao commented on 2015-06-02 13:44

With LLVM 3.6.1, openblas-lapack-git and the julia git master (which has a recent fix for new suitsparse version) all the julia test suite should pass on ArchLinux.

yuyichao commented on 2015-06-02 13:39

@big_gie You need openblas to get the test pass.

yuyichao commented on 2015-06-02 13:39

Please update the dependency on pcre to pcre2 (in AUR). The version dependency is bumped ~yesterday.

TrialnError commented on 2015-05-28 01:50

I added the AUR packages openlibm and openspecfun to deps. Both projects from the JuliaLang Team (so no issue like with libuv) and deps that don't need to be compiled everytime you want to build julia from git

TrialnError commented on 2015-04-14 23:04

They check for system patchelf now.
Not sure if this could be an optdepend

big_gie commented on 2015-03-17 15:29

Anybody tried to run the included test suite? It fails here (both 0.3.6 and 0.4.0.dev.3863.g2a4fd44). It seems to be a problem with blas...

julia> Base.runtests()
exception on 4: ERROR: LoadError: ccall: could not find function cblas_cdotc_sub in library libblas
in dotc at ./linalg/blas.jl:121
in dotc at ./linalg/blas.jl:154
in Ac_mul_B at ./linalg/matmul.jl:63
in anonymous at ./no file:10
in runtests at /usr/share/julia/test/testdefs.jl:78
in anonymous at ./multi.jl:833
in run_work_thunk at ./multi.jl:584
in anonymous at ./multi.jl:833
while loading linalg3.jl, in expression starting on line 4
From worker 5: * linalg4 in 21.39 seconds
From worker 2: * linalg1 in 37.86 seconds
From worker 3: * linalg2 in 41.57 seconds
ERROR: LoadError: LoadError: ccall: could not find function cblas_cdotc_sub in library libblas
in anonymous at ./task.jl:1379
while loading linalg3.jl, in expression starting on line 4
while loading /usr/share/julia/test/runtests.jl, in expression starting on line 3

From worker 4: * linalg3 ERROR: A test has failed. Please submit a bug report (https://github.com/JuliaLang/julia/issues)
including error messages above and the output of versioninfo():
Julia Version 0.4.0-dev+3863
Commit 2a4fd44 (2015-03-17 14:45 UTC)
Platform Info:
System: Linux (x86_64-unknown-linux-gnu)
CPU: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
WORD_SIZE: 64
BLAS: libblas
LAPACK: liblapack
LIBM: libm
LLVM: libLLVM-3.6.0

in error at ./error.jl:19
in runtests at ./interactiveutil.jl:399
in runtests at ./interactiveutil.jl:388

TrialnError commented on 2015-03-12 01:47

All right. Building with llvm<3.6 is working again and now I see why haawda mentioned python2-sphinx. They added the build of the docs to the make call